Lintian::Deb822::Constants(3)

NAME
Lintian::Deb822::Constants - Lintian's generic Deb822 constants

SYNOPSIS
 use Lintian::Deb822::Constants qw(DCTRL_NO_COMMENTS);

DESCRIPTION
This module contains a number of utility subs that are nice to have, but on their own did not warrant their own module.

Most subs are imported only on request.

CONSTANTS
The following constants can be passed to the Debian control file parser functions to alter their parsing flag.

DCTRL_DEBCONF_TEMPLATE
    The file should be parsed as debconf template. These have slightly syntax rules for whitespace in some cases.

DCTRL_NO_COMMENTS
    The file do not allow comments. With this flag, any comment in the file is considered a syntax error.

SEE ALSO
lintian(1)